import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A visual representation of the weapons.
 * 
 * @author Romuald Apothélos
 * @author Boris Méan 
 * 
 * @version 14.01.2022
 */
public class weapon extends Actor
{
    public String[] image ={"Knife","axe","halbard","handgun","Fass-90","pomp","flamethrower","Snipe","arbalet","grenade","moltov","fondu","choco","suze","absinte","clock","cor"};
    int type;
    /**
     * constructor of the class
     */
    public weapon()
    {
        type = Greenfoot.getRandomNumber(100);
        if(type<=50)
        {
            if(type<=15)
            {
                type=3;
            }
            else if(type>15 && type<=25)
            {
               type=4;     
            }
            else if(type>25 && type<=35)
            {
               type=5;     
            }
            else if(type>35 && type<=40)
            {
               type=6;     
            }
            else if(type>40 && type<=45)
            {
               type=7;     
            }
            else if(type>45 && type<=50)
            {
               type=8;     
            }
        }
        else if(type>50 && type<=70)
        {
            if(type>50 && type<=57)
            {
                type=0;
            }
            else if(type>57 && type<=64)
            {
                type=1;
            }
            else if(type>64 && type<=70)
            {
                type=2;
            }
        }
        else if(type>70 && type<=90)
        {
            if(type>70 && type<=77)
            {
                type=9;
            }
            else if(type>77 && type<=84)
            {
                type=10;
            }
            else if(type>84 && type<=90)
            {
                type=11;
            }
        }
        else if(type>90)
        {
            if(type>90 && type<=92)
            {
                type=12;
            }
            else if(type>92 && type<=93)
            {
                type=13;
            }
            else if(type>93 && type<=96)
            {
                type=14;
            }
            else if(type>96 && type<=97)
            {
                type=15;
            }
            else if(type>97 && type<=100)
            {
                type=16;
            }
        }
        setImage(new GreenfootImage(image[type]+".png"));
    }
    /**
     * Act - do whatever the weapon wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act()
    {
       if(getOneIntersectingObject(weapon.class)!=null){getWorld().removeObject(getOneIntersectingObject(weapon.class));} 
    }
    /**
     * getType - return the type of the weapon
     */
    public int getType()
    {
        return type;
    }
    /*
     * for debbuging purpose only
    /**
     * setType - set the type
     */
    /*
    public void setType(int i)
    {
        type = i;
    }
    */
}

